%define		dictname vera
Summary:	Virtual Entity of Relevant Acronyms dictionary for dictd
Summary(pl.UTF-8):	Słownik Virtual Entity of Relevant Acronyms dla dictd
Name:		dict-%{dictname}
Version:	1.24
Release:	1
License:	FDL v1.3+
Group:		Applications/Dictionaries
Source0:	https://ftp.gnu.org/gnu/vera/%{dictname}-%{version}.tar.gz
# Source0-md5:	03dce85d633e58acdd836ac1e260e7fb
URL:		http://home.snafu.de/ohei/vera/vueber-e.html
BuildRequires:	dictfmt
BuildRequires:	dictzip
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains V.E.R.A, version %{version}, formatted for use
by the dictionary server in the dictd package.

%description -l pl.UTF-8
Ten pakiet zawiera słownik V.E.R.A w wersji %{version}, sformatowany
do użytku z serwerem słownika dictd.

%prep
%setup -q -n %{dictname}-%{version}

%build
%{__perl} -ne 's/\@item (.*)\n/:$1:\n/; print unless /^@/' vera.? | \
	dictfmt -j -u http://home.snafu.de/ohei/ -s \
	"V.E.R.A. -- Virtual Entity of Relevant Acronyms (%{version})" %{dictname}
dictzip %{dictname}.dict

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# Virtual Entity of Relevant Acronyms dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
cp -p %{dictname}.{dict.dz,index} $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%doc README changelog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*
%changelog
* Mon Aug 17 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dict-vera.git;a=log;h=master

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 9e091f3
- updated to 1.24

* Tue Feb 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ed5050
- updated to 1.23

* Sat Jan 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 29e3b81
- updated to 1.21a

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> d28e543
- updated to 1.21
- don't package vera.texi - VERA in info format is available in vera package

* Thu Feb 12 2009 Tomasz Pala <gotar@pld-linux.org> 908056c
- upgraded to 1.19, updated URLs

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 331564b
- unify ftp.gnu.org urls

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 06d1ba5
- up to 1.17

* Sun Mar 11 2007 Elan Ruusamäe <glen@pld-linux.org> 078c4ba
- use %service; rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d724bbf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 492bf83
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 2f735ba
- adapterized (sorted %verify flags)

* Thu Aug 19 2004 averne <averne@pld-linux.org> e19c2e0
- rel++

* Sun Nov 23 2003 undefine <undefine@pld-linux.org> 87c53be
- release 2 to rebuild with ac

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> 4116290
- small fixes based on changes by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> eeed33f
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> bd559ca
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Dec 28 2002 Tomasz Pala <gotar@pld-linux.org> 3627bde
- better URL

* Sat Dec 28 2002 Tomasz Pala <gotar@pld-linux.org> d90029c
- initial PLD release, STBR.

